#! /bin/sh

PATH_data="/home/mpib/spolk/ICED/data/MPM_Pilot_long_Jan2021"
PATH_rois="/home/mpib/spolk/ICED/data/rois"
PATH_out="/home/mpib/spolk/ICED/data/extracted"

GMrois=${PATH_rois}/GMrois.txt 
WMrois=${PATH_rois}/WMrois.txt

cat ${GMrois} | while read roi; do
	cutROI=$( echo ${roi} | sed 's/"//g;s/.nii.gz//g' )
	echo "id roi mean sd" > ${PATH_out}/MPMs_extracted_${cutROI}.txt
done

cat ${GMrois} | while read roi; do
	GMroi=$( echo ${roi} | sed 's/"//g;s/.nii.gz//g' )
	
	echo '#!/bin/bash' > jobfile
	echo "#SBATCH --job-name extract_${GMroi}" >> jobfile
	echo '#SBATCH --time 2:00:00' >> jobfile
	echo '#SBATCH --mem 2GB' >> jobfile
	echo '#SBATCH --cpus-per-task 1' >> jobfile
	echo "#SBATCH --output /home/mpib/spolk/ICED/logs/slurm-extract_${GMroi}.txt" >> jobfile
	
	echo 'module unload fsl' >> jobfile
	echo 'module load fsl/5.0' >> jobfile
	echo "echo 'id roi mean sd' > ${PATH_out}/MPMs_extracted_${GMroi}.txt" >> jobfile
	                                                                       
	echo "for file in ${PATH_data}/wap1*" >> jobfile
	echo 'do' >> jobfile
	echo '	echo ${file}' >> jobfile
	echo "	roi=${PATH_rois}/3_reslicedAll/${GMroi}" >> jobfile
	echo '	echo ${roi}' >> jobfile
	echo '	meansd=`fslstats $file -k $roi -n -M -S`' >> jobfile
	echo "  curOut=${PATH_out}/MPMs_extracted_${GMroi}.txt" >> jobfile
	echo '	echo "$file $roi $meansd" >> ${curOut}' >> jobfile
	echo 'done' >> jobfile
           
	sbatch jobfile
	rm jobfile

	echo -e "\ndone"

done

cat ${WMrois} | while read roi; do
	WMroi=$( echo ${roi} | sed 's/"//g;s/.nii.gz//g' )
	
	echo '#!/bin/bash' > jobfile
	echo "#SBATCH --job-name extract_${WMroi}" >> jobfile
	echo '#SBATCH --time 2:00:00' >> jobfile
	echo '#SBATCH --mem 2GB' >> jobfile
	echo '#SBATCH --cpus-per-task 1' >> jobfile
	echo "#SBATCH --output /home/mpib/spolk/ICED/logs/slurm-extract_${WMroi}.txt" >> jobfile
	
	echo 'module unload fsl' >> jobfile
	echo 'module load fsl/5.0' >> jobfile
	echo "echo 'id roi mean sd ' > ${PATH_out}/MPMs_extracted_${WMroi}.txt" >> jobfile
	                                                                       
	echo "for file in ${PATH_data}/wap2*" >> jobfile
	echo 'do' >> jobfile
	echo '	echo ${file}' >> jobfile
	echo "	roi=${PATH_rois}/3_reslicedAll/${WMroi}" >> jobfile
	echo '	echo ${roi}' >> jobfile
	echo '	meansd=`fslstats $file -k $roi -n -M -S`' >> jobfile
	echo "  curOut=${PATH_out}/MPMs_extracted_${WMroi}.txt" >> jobfile
	echo '	echo "$file $roi $meansd" >> ${curOut}' >> jobfile
	echo 'done' >> jobfile
       
	sbatch jobfile
	rm jobfile

	echo -e "\ndone"
done